Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.style
Enum OdfParagraphVerticalAlignType

    java.lang.Object
      java.lang.Enum<OdfParagraphVerticalAlignType>
          org.odftoolkit.odfdom.dom.type.style.OdfParagraphVerticalAlignType

All Implemented Interfaces:
  Serializable, Comparable<OdfParagraphVerticalAlignType>

    public enum OdfParagraphVerticalAlignType

extends Enum<OdfParagraphVerticalAlignType>

DOM implementation of OpenDocument attribute style:vertical-align.

Enum Constant Summary
`AUTO`
`BASELINE`
`BOTTOM`
`MIDDLE`
`TOP`

Method Summary
`static OdfParagraphVerticalAlignType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfParagraphVerticalAlignType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfParagraphVerticalAlignType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfParagraphVerticalAlignType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TOP

    public static final OdfParagraphVerticalAlignType TOP

### MIDDLE

    public static final OdfParagraphVerticalAlignType MIDDLE

### BASELINE

    public static final OdfParagraphVerticalAlignType BASELINE

### AUTO

    public static final OdfParagraphVerticalAlignType AUTO

### BOTTOM

    public static final OdfParagraphVerticalAlignType BOTTOM

Method Detail

### values

    public static OdfParagraphVerticalAlignType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfParagraphVerticalAlignType c : OdfParagraphVerticalAlignType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfParagraphVerticalAlignType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfParagraphVerticalAlignType>`
  Returns:
    return the name of OdfParagraphVerticalAlignType

### toString

    public static String toString(OdfParagraphVerticalAlignType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfParagraphVerticalAlignType, see style:vertical-align
  Returns:
    return the name of OdfParagraphVerticalAlignType

### enumValueOf

    public static OdfParagraphVerticalAlignType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfParagraphVerticalAlignType
  Returns:
    return the constant of OdfParagraphVerticalAlignType, see style:vertical-align

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.